Bug 1328871 - gnome-desktop: Provide a Python 3 subpackage
Summary: gnome-desktop: Provide a Python 3 subpackage
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-20 12:59 UTC by Tomas Orsava
Modified: 2016-05-12 13:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 13:07:18 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-20 12:59:50 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 1 Dominika Krejčí 2016-05-11 13:28:37 UTC
Hello Ray,

do you need any help adding Python 3 support to the RPM?

Comment 2 Ray Strode [halfline] 2016-05-11 17:49:03 UTC
i'm confused, are you talking about gnome-desktop or gnome-desktop3 ?

Comment 3 Ray Strode [halfline] 2016-05-11 17:58:01 UTC
so to be clear, gnome-desktop is an old library not used by much anymore. it doesn't have python bindings in the tarball. Those are provided by gnome-python2-desktop.

gnome-desktop3 is actively used (in very limited ways), but it relies on gobject introspection to bind to python.

I'm not sure concretely what's being asked for here

Comment 4 Tomas Orsava 2016-05-12 12:36:24 UTC
Hi Ray!
Thank you for shining some light on the issue, gnome/gtk suite is a bit overwhelming for outsiders.


(In reply to Ray Strode [halfline] from comment #3)
> so to be clear, gnome-desktop is an old library not used by much anymore. it
> doesn't have python bindings in the tarball. Those are provided by
> gnome-python2-desktop.

If you list the dependencies of the `gnome-desktop` package, it depends on Python 2 as well as pygtk2 and pycairo, that's we have thought this package needs to be ported.

$ dnf repoquery --requires gnome-desktop


> gnome-desktop3 is actively used (in very limited ways), but it relies on
> gobject introspection to bind to python.

So if I understand it correctly, packages that currently use this package `gnome-desktop` should switch to `gnome-desktop3`?

We tried looking for a successor to this package, but given that `gnome-desktop` uses Python and `gnome-desktop3` doesn't, we didn't identify it.


Apologies for a confusing bug report and thank you for your time!


Note You need to log in before you can comment on or make changes to this bug.